Bug 961137 - openshift-origin-msg-common conflicts with mcollective-common-2.2.3
openshift-origin-msg-common conflicts with mcollective-common-2.2.3
Status: CLOSED ERRATA
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 17:53 EDT by Troy Dawson
Modified: 2015-05-14 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 16:34:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-08 17:53:53 EDT
Description of problem:
Version 2.2.3 of mcollective-common (now in Fedora 19) has a new validator that was previously being supplied by openshift-origin-msg-common

Version-Release number of selected component (if applicable):
openshift-origin-msg-common <= 1.6.2
mcollective >= 2.2.3

How reproducible:
100%

Steps to Reproduce:
1. Install mcollective-commong 2.2.3 and above
2. Try to install openshift-origin-msg-common
3.
  
Actual results:
file /usr/libexec/mcollective/mcollective/validator/any_validator.ddl from install of openshift-origin-msg-common-1.4.1-1.fc19.noarch conflicts with file from package mcollective-common-2.2.3-1.fc19.noarch
file /usr/libexec/mcollective/mcollective/validator/any_validator.rb from install of openshift-origin-msg-common-1.4.1-1.fc19.noarch conflicts with file from package mcollective-common-2.2.3-1.fc19.noarch


Expected results:
Install withouth conflicts

Additional info:
The files are very close, but I don't know if the differences matter.

diff -ur mcollective/any_validator.ddl openshift/any_validator.ddl
--- mcollective/any_validator.ddl	2013-05-08 16:43:23.417196690 -0500
+++ openshift/any_validator.ddl	2013-05-08 16:52:50.360994400 -0500
@@ -1,7 +1,7 @@
-metadata    :name        => "any",
-            :description => "Validator that accepts any value",
-            :author      => "R.I.Pienaar <rip@devco.net>",
+metadata    :name        => "Any",
+            :description => "Allows any value",
+            :author      => "Dan McPherson <dmcphers@redhat.com>",
             :license     => "ASL 2.0",
             :version     => "1.0",
-            :url         => "http://marionette-collective.org/",
-            :timeout     => 1
+            :url         => "http://openshift.redhat.com",
+            :timeout     => 1
\ No newline at end of file
diff -ur mcollective/any_validator.rb openshift/any_validator.rb
--- mcollective/any_validator.rb	2013-05-08 16:43:28.762196124 -0500
+++ openshift/any_validator.rb	2013-05-08 16:52:55.862991679 -0500
@@ -1,7 +1,7 @@
 module MCollective
   module Validator
     class AnyValidator
-      def self.validate(validator)
+      def self.validate(value)
         true
       end
     end
Comment 1 Krishna Raman 2013-05-09 17:20:10 EDT
The any validator provided by mcollective will work fine. The msg-common spec needs a conditional to not install its version of any validator on F19+
Comment 2 Abhishek Gupta 2013-05-09 17:25:06 EDT
This needs to be handled for Origin at the moment. When we have the new mcollective-common rpm in RHEL, we can exclude the any_validator.rb from the msg-common for all platforms.
Comment 3 Troy Dawson 2013-05-09 17:28:41 EDT
The mcollective update is marked for F18, F19, and EL6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5474/mcollective-2.2.3-1.el6

So OpenShift Online may want to look at this as well.
Comment 4 Troy Dawson 2013-09-04 14:59:10 EDT
This bug has now hit OpenShift Online, bumping up the priority.
Comment 5 Troy Dawson 2013-09-12 16:34:20 EDT
Fixed in version openshift-origin-msg-common-1.14.2-1

Note You need to log in before you can comment on or make changes to this bug.